From bc4376ec494c235863ce0901bb9ad7729ebd4933 Mon Sep 17 00:00:00 2001
From: Juan Jose Santamaria Flecha <juanjo.santamaria@gmail.com>
Date: Sat, 30 Oct 2021 04:08:15 -0400
Subject: [PATCH] Limit read buffer size in pg_stat_statements

---
 contrib/pg_stat_statements/pg_stat_statements.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 07fe0e7..a2bfed3 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -2149,7 +2149,7 @@ qtext_load_file(Size *buffer_size)
 	}
 
 	/* Allocate buffer; beware that off_t might be wider than size_t */
-	if (stat.st_size <= MaxAllocHugeSize)
+	if (stat.st_size <= MaxAllocSize)
 		buf = (char *) malloc(stat.st_size);
 	else
 		buf = NULL;
-- 
2.11.0

